// Теоретический вопрос
// Описать своими словами в несколько строчек, зачем в программировании нужны циклы.
// В большинстве случаев логика опеределенных процессов в коде повторяется (т.е. мы делаем одно и то же действие многократно, к примеру делаем вычисления с полученными
// от юзера значениями) или же нам нужно обязательно получить какие-то данные от юзера (без них невозможно выполнение программы; 
//нам нужно добиться от юзера, чтобы он их ввел). Для того, чтобы не дублировать код, для корректности получения данных - используются циклы.


let userNumber = prompt('Your number'); 
while (Number.isNaN(userNumber) || userNumber === null || userNumber === '') {
    userNumber = prompt('Your number again'); 
}
for (let i = userNumber; i > 0; i--) {
    if (i % 5 === 0) {
        console.log(i)
    } else if (userNumber < 5 && userNumber > 0) {
        console.log('Sorry, no numbers');
    }
}


